# product.hh File Reference

Declarations of product(). More...

Include dependency graph for product.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

Product algorithm

Returns a fresh automaton that is the product of the two input ones.

Precondition:
  The two input automata must be realtime.

template<typename A , typename T , typename U >
Element< A, T > | product (const Element< A, T > &lhs, const Element< A, U > &rhs, const bool use_geometry=false)
template<typename A , typename T , typename U >
Element< A, T > | product (const Element< A, T > &lhs, const Element< A, U > &rhs, std::map< typename T::hstate_t, std::pair< typename T::hstate_t, typename U::hstate_t > > &, const bool use_geometry=false)

## Detailed Description

Declarations of product().

Algorithm described in ETA, Chapter 1, Section 1.2.b.

See also:
  product()

Definition in file product.hh.